## libmatroska-20030622.tar.bz2

=== test/Makefile ===
## libmatroska Makefile
## (c) 2002 Steve Lhomme
## This software is licensed under the LGPL, see LGPL.txt

all: endian
	echo "Making endianess tests"
	(cd endian; make)
clean:
	echo "Cleaning all tests"
	(cd endian; make $@)

=== make/beos/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.2 2003/04/13 13:52:53 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Options
EXTENSION=.cpp
# BeOS only supports gcc2 for now anyway
# (gcc3 is underway)
GCCVERSION := $(shell $(CXX) -dumpversion | cut -b 1)
ifeq (2,$(GCCVERSION))
	LIBEBML_GCC2=-DLIBEBML_GCC2
endif
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas $(LIBEBML_GCC2) -DWRITE_EVEN_UNSET_DATA
LDFLAGS=-L.

SRC_DIR=../../src/
MUX_SRC_DIR=../../test/mux/

# Librarires
INCLUDE=-I${SRC_DIR}
LIBS=
MUX_LIBS=-lmatroska

# Names
LIBRARY=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY) test

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f ${SRC_DIR}$(objects)
	rm -f ${SRC_DIR}$(dependencies)
	rm -f ${SRC_DIR}$(LIBRARY)
	rm -f CORE
	rm -f test6 test8

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

test: test6 test8

test6:	$(MUX_SRC_DIR)test6.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

$(MUX_SRC_DIR)test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test8:	$(MUX_SRC_DIR)test8.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

$(MUX_SRC_DIR)test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<


# DO NOT DELETE

=== make/cygwin/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.1 2003/04/03 17:08:18 robux4 Exp $

# Options
EXTENSION=.cpp
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas -DWIN32 -DNO_NAMESPACE
LDFLAGS=

SRC_DIR=../../src/

# Programs
CXX=g++ -c
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Librarires
INCLUDE=
LIBS=

# Names
PROGRAM=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

# Build rules
%.o: %$(EXTENSION)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(PROGRAM): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f ${SRC_DIR}$(objects)
	rm -f ${SRC_DIR}$(dependencies)
	rm -f ${SRC_DIR}$(PROGRAM)
	rm -f CORE

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

# DO NOT DELETE

=== make/linux/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.23 2003/06/13 18:53:15 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
prefix=/usr/local
libdir=$(prefix)/lib
includedir=$(prefix)/include/matroska

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

CWD=$(shell pwd)

# Options
LIBEBML_INCLUDE_DIR=$(CWD)/../../../libebml/src
LIBEBML_LIB_DIR=$(CWD)/../../../libebml/make/linux
EXTENSION=.cpp

SYSTEM  := $(shell uname -s)
MACHINE := $(shell uname -m)
ifeq (CYGWIN,$(findstring CYGWIN,$(SYSTEM)))
	LIBICONV=-liconv
endif

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -pedantic -fno-gnu-keywords -D_GNU_SOURCE
LDFLAGS=-L. -L$(LIBEBML_LIB_DIR)

SRC_DIR=$(CWD)/../../src/
MUX_SRC_DIR=$(CWD)/../../test/mux/

# Librarires
INCLUDE=-I${SRC_DIR} -I$(LIBEBML_INCLUDE_DIR)
LIBS=
MUX_LIBS=-lmatroska -lebml $(LIBICONV)

# Names
LIBRARY=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY) test

lib library: $(LIBRARY)

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:	cleantest
	rm -f $(objects)
	rm -f $(dependencies)
	rm -f $(LIBRARY)
	rm -f CORE

cleantest:
	rm -f test6 test8 test6.o test8.o

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

test: test6 test8

test6:	test6.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test8:	test8.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

install: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
	for i in $(SRC_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/api/c
	for i in $(SRC_DIR)/api/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/api/c ; \
	done

# DO NOT DELETE

=== test/ebml/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.1 2003/04/03 17:13:18 robux4 Exp $

# Options
EXTENSION=.cpp
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas -DWIN32 -I../../src/
LDFLAGS=

SRC_DIR=../../src/

# Programs
CXX=g++ -c
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Librarires
INCLUDE=
LIBS=

# Names
PROGRAM=test00

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

OBJ=$(objects) test00.o

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

# Build rules
%.o: %$(EXTENSION)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(PROGRAM): $(OBJ)
#	$(AR) $@ $(objects)
#	$(RANLIB) $@
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
	${LD} -o $@ ${LDFLAGS} ${OBJ} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f $(OBJ)
	rm -f $(dependencies)
	rm -f $(PROGRAM)
	rm -f CORE

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

# DO NOT DELETE

=== debian/changelog ===
libmatroska (0.4.4-2) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 14 Jun 2003 17:40:11 +0200

libmatroska (0.4.4-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 11 Jun 2003 20:32:09 +0200

libmatroska (0.4.3-1) unstable; urgency=low

  * New version with API changes.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 21 May 2003 22:35:52 +0200

libmatroska (0.4.2-1) unstable; urgency=low

  * New version with API changes.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue,  6 May 2003 22:33:44 +0200

libmatroska (0.4.1-2) unstable; urgency=low

  * Compiled with gcc 3.2.3

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 04 May 2003 22:11:33 +0200

libmatroska (0.4.1-1) unstable; urgency=low

  * Some bugfixes, memleak fixed.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 03 May 2003 23:07:33 +0200

libmatroska (0.4.0-1) unstable; urgency=low

  * First alpha release :)

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 30 Apr 2003 10:44:33 +0200

libmatroska (0.2.0.20030425) unstable; urgency=low

  * New version with bugfixes by Steve.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 25 Apr 2003 20:01:49 +0200

libmatroska (0.2.0.20030421) unstable; urgency=low

  * Separated libebml from libmatroska like in the upstream sources.)

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 21 Apr 2003 16:33:36 +0200

libmatroska (0.0.20030225) unstable; urgency=low

  * Initial Release.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 25 Feb 2003 18:28:52 +0100

=== debian/control ===
Source: libmatroska
Priority: optional
Maintainer: Moritz Bunkus <moritz@bunkus.org>
Build-Depends: debhelper (>> 3.0.0), libebml-dev (>= 0.4.4-2)
Standards-Version: 3.5.8

Package: libmatroska-dev
Section: devel
Architecture: any
Depends: libebml-dev (>= 0.4.4-2)
Description: an extensible open standard Audio/Video container format
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.

=== make/debian/control ===
Source: libmatroska
Priority: optional
Maintainer: Moritz Bunkus <moritz@bunkus.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: libmatroska-dev
Section: devel
Architecture: any
Depends:
Description: an extensible open standard Audio/Video container format
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# configure: configure-stamp
# configure-stamp:
# 	dh_testdir
# 	# Add here commands to configure the package.

# 	touch configure-stamp


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C make/linux $(DEB_BUILD_OPTIONS) LIBEBML_INCLUDE_DIR=/usr/include/ebml lib

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -C make/linux $(DEB_BUILD_OPTIONS) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -C make/linux prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== make/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# configure: configure-stamp
# configure-stamp:
# 	dh_testdir
# 	# Add here commands to configure the package.

# 	touch configure-stamp


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C make/linux

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -C make/linux clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir $(CURDIR)/debian/tmp
	mkdir $(CURDIR)/debian/tmp/usr
	mkdir $(CURDIR)/debian/tmp/usr/include
	mkdir $(CURDIR)/debian/tmp/usr/lib
	cp src/*.h $(CURDIR)/debian/tmp/usr/include/
	cp make/linux/libmatroska.a $(CURDIR)/debian/tmp/usr/lib/
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
